AutoSnapApertureSize 属性 (ActiveX)
指定 AutoSnap 光圈的大小。 支持的平台:仅限 Windows 属性值只读:不 类型:长 AutoSnap 光圈的大小(以像素为单位)。 言论此属性的初始值为 10。 当您捕捉到对象时,AutoSnap 光圈显示在十字准线的中心。仅当启用了 AutoSnap 标记、磁贴或工具提示时,此选项才可用。
注意:此属性的值存储在 APERTURE 系统变量中。
例子VBA: Sub Example_AutoSnapApertureSize() ' This example reads and modifies the preference value that controls ' the size of the AutoSnap aperture. When finished, this example resets ' the preference value back to its original value. Dim ACADPref As AcadPreferencesDrafting Dim originalValue As Variant, newValue As Variant ' Get the drafting preferences object Set ACADPref = ThisDrawing.Application.preferences.Drafting ' Read and display the original value originalValue = ACADPref.AutoSnapApertureSize MsgBox "The AutoSnapApertureSize preference is: " & originalValue ' Modify the AutoSnapApertureSize preference by setting it to 25 ACADPref.AutoSnapApertureSize = 25 newValue = ACADPref.AutoSnapApertureSize MsgBox "The AutoSnapApertureSize preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.AutoSnapApertureSize = originalValue MsgBox "The AutoSnapApertureSize preference was reset back to: " & originalValue End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AutoSnapApertureSize() ;; This example reads and modifies the preference value that controls ;; the size of the AutoSnap aperture. When finished, this example resets ;; the preference value back to its original value. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Get the drafting preferences object (setq ACADPref (vla-get-Drafting preferences)) ;; Read and display the original value (setq originalValue (vla-get-AutoSnapApertureSize ACADPref)) (alert (strcat "The AutoSnapApertureSize preference is set to: " (itoa originalValue))) ;; Modify the AutoSnapApertureSize preference by setting it to 25 (vla-put-AutoSnapApertureSize ACADPref 25) (setq newValue (vla-get-AutoSnapApertureSize ACADPref)) (alert (strcat "The AutoSnapApertureSize preference has been set to: " (itoa newValue))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-AutoSnapApertureSize ACADPref originalValue) (alert (strcat "The AutoSnapApertureSize preference was reset back to: " (itoa originalValue))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:43
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.